* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  font-family: sans-serif;
  line-height: 1.4;
  background-image: url(./images/pexels-monstera-7412094.jpg);
  background-size: 100%;
  background-position: center;
  background-attachment: fixed;
  margin: 2px 2px;
}

.h3-table{
  text-align: center;
}

.toggleButton{
  border: none;
  background-color: rgba(245, 245, 245, 0.1);
  position: absolute;
  top:10px;
  left:10px;
  display: none;
}

.toggleButton:hover{
  cursor: pointer;
}

header{
  display: grid;
  grid-template-columns: 1fr;
  background-color: rgba(245, 245, 245, 0.6);
  position:relative;
  align-items: center;
  text-align: center;
  font-size: xx-large;
  font-weight: bolder;
  padding: 15px;
  border-radius: 10px;
  margin-bottom: 15px;
}

.title-heading {
  font-family: stoke;
  font-style: normal;
  font-weight: 400;
  font-size: 40px;
  line-height: 50px;
  text-align: center;
  color: #000000;
  margin: 50px auto;
  padding: 10px;
  background-color: #ffffff;
  width: 200px;
  border-radius: 10px;
}

.search-section {
  border: none;
  width: 200px;
  height: 30px;
  position: absolute;
  top:10px;
  right: 5px;
}

/* ul.alphabet-list {
  display: flex;
  list-style: none;
  background-color: #ffffff;
  width: 60%;
  justify-content: space-evenly; /*reparte el espacio equitativamente 
  padding: 10px;
} */

ul.alphabet-list {
  display: flex;
  height: 50px;
  align-items: center;
  list-style: none;
  background-color: #ffffff;
  width: 95%;
  justify-content: space-evenly; /*reparte el espacio equitativamente */
  padding: 10px;
}

.alphabet-item:hover {
  text-decoration: underline;
  font-size: 30px;
}

#country-input {
  position: absolute;
  top: 10px;
  right: 5px;
  background-image: url("./images/search-icon.png"); /* Add a search icon to input */
  background-position: 10px 10px; /*Position the search icon */
  background-size: 25px;
  background-repeat: no-repeat; /* Do not repeat the icon image */
  width: 200px; /* Full-width */
  font-size: 16px; /* Increase font-size */
  padding: 12px 20px 12px 40px; /* Add some padding */
  border: 1px solid #ddd; /* Add a grey border */
  margin-bottom: 12px; /* Add some space below the input */
  margin: 5px, auto;
  border-radius: 5px;
}

.row {
  display: flex;
  grid-template-columns: 4fr 1fr;
  margin: 10px 100px;
  gap: 75px;
  margin-bottom: 60px;
  align-items: self-start;
  justify-content: space-between;
}

.countries-main {
  border-radius: 10px;
  background-color: #ffffff;
  margin-top: 40px;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  gap: 30px;
}

.countries-table{
  background-color: #ffffff;
  margin-top: 40px;
  display: block;
  align-items: center;
  gap: 30px;

}

#container_Table{
  background-color: rgba(245, 245, 245, 0.8);
}

.container-table {
  grid-row: 2 / span 3;
  background-color: rgba(245, 245, 245, 0.8);
  border-radius: 1rem;
}

.table-tittle{
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: larger;
  font-weight: bold;
}

.table-row {
  padding: 0.5rem 4rem;
  display: grid;
  grid-template-columns: 2fr 1fr;
  column-gap: 50px;

  align-items: center;
  border-bottom: 1px solid #eee;
}

.inline-list {
  display: inline;
  padding-left: 0;
}

.inline-list li {
  display: inline;
  margin-right: 10px;
}

.alphabet-section {
  background-color: #ffffff;
  width: 70%;
}

h3 {
  margin:2px 10px;
  padding: 0;
  font-family: stoke;
  font-size: x-large;
}

ul#common-countries {
  list-style: none;
  column-count: 2;
  padding: 0px 20px 20px 20px;
  margin: 0px 20px 20px 20px;
}

ul.common-countries {
  list-style: none;
  column-count: 2;
  padding: 0px 20px 20px 20px;
  margin: 0px 20px 20px 20px;
}

li:hover {
  cursor: pointer;
}

li.country-item-li {
  margin: 5px;
  display: block;
  background-color: rgba(245, 245, 245, 0.8);
  padding: 12px; /* Add some padding */
  text-decoration: none; /* Remove default text underline */
  font-size: 18px; /* Increase the font-size */
  color: black; /* Add a black text color */
}

li a {
  margin-top: -1px; /* Prevent double borders */
  padding: 12px; /* Add some padding */
  text-decoration: none; /* Remove default text underline */
  font-size: 16px; /* Increase the font-size */
  color: #000000;
}

.container-list-aside{
  padding: 0;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  margin-left:60px;
  margin-top: -20px;
  padding: 2px 5px 5px 5px;
  z-index: 1;
}

.dropdown:hover .dropdown-content {
  display: block;
}

@media screen and (max-width: 600px) {
  .toggleButton{
    border: none;
    background-color: rgba(245, 245, 245, 0.1);
    position: absolute;
    top:20px;
    left:10px;
    display: block;
  }

  .title-heading {
    font-size: x-large;
    height: 50px;
    margin: 10px auto;
    background-color: #ffffff;
  }

  #country-input {
    top: 10px;
    right: 5px;
    background-position: 5px 12px; /*Position the search icon */
    background-size: 15px;
    width: 110px; /* Full-width */
    font-size: 12px; /* Increase font-size */
    padding: 12px 10px 6px 20px; /* Add some padding */
    margin-bottom: 12px; /* Add some space below the input */
    margin: 2px, auto;
  }

  .countries-container {
    justify-content: center;
  }

  ul#common-countries {
    list-style: none;
    column-count: 1;
    padding: 0px 2px 2px 2px;
    margin: 0px 3px 30px 3px;
  }

  h3 {
    margin: 0;
    padding-left: 10px;
    font-size: 24px;
  }

  li.country-item-li {
    margin: 5px;
    display: block;
    background-color: #f6f6f6;
    padding: 12px; /* Add some padding */
    text-decoration: none; /* Remove default text underline */
    font-size: 16px; /* Increase the font-size */
    color: black; /* Add a black text color */
  }

  .countries-main {
    margin-top: 0;
    background-color: #f6f6f6;
  }

  .search-section {
    border: none;
    width: 100px;
    height: 20px;
    position: absolute;
    top:10px;
    right: 5px;
  }

  ul.alphabet-list {
    display: flex;
    list-style: none;
    background-color: #ffffff;
    font-size: 12px;
    width: 80%;
    justify-content: space-evenly; /*reparte el espacio equitativamente */
    /* align-items: center; */
    padding: 5px;
  }

  .alphabet-section {
    background-color: #ffffff;
    width: 70%;
  }

  /* .alphabet-item {
    z-index: 4;
  } */

  .row {
    display: flex;
    grid-template-columns: 4fr 0.5fr;
    margin: 10px 30px;
    gap: 75px;
    margin-bottom: 60px;
    align-items: self-start;
    justify-content: space-between;
  }

  .col1{
    padding-left: 5px;
  }

  .col2-content{
    font-size: 12px;
  }

  ul.common-countries{
    list-style: none;
    column-count: 1;
    padding: 0px 2px 2px 2px;
    margin: 0px 3px 30px 3px;
  }

  li a {
    margin-top: -1px; /* Prevent double borders */
    padding: 12px; /* Add some padding */
    text-decoration: none; /* Remove default text underline */
    font-size: 12px; /* Increase the font-size */
    color: #000000;
  }

  .table-tittle{
    font-size: 10px;
  }

  .sort-img{
    width: 20px;
  }

  .flag-country{
    width: 20px;
  }

  .table-row {
    padding: 0;
    display: grid;
    grid-template-columns: 2fr 1fr;
    column-gap: 20px;
    align-items: center;
    border-bottom: 1px solid #eee;
  }

  .table-row {
    padding: 5px;
    display: grid;
    grid-template-columns: 2fr 0.5fr;
    column-gap: 20px;
    align-items: center;
    border-bottom: 1px solid #eee;
  }

  .search-section {
    border: none;
    width: 70%;
    height: 30px;
    opacity: 60%;
    display: block;
    margin: 0 auto;
    z-index: 2;
  }

  .side-bar-aside {
    position: fixed;
    top: 0;
    left: -100%;
    width: 80%;
    height: 100%;
    background: #000;
    color: #fff;
    transition: left 0.3s ease-in-out;
    z-index: 9999;
    display: none;
  }

  .side-bar-aside.show {
    position: relative;
    left: 0;
    background-color: #353740;
    width: 200px;
    height: 560px;
    margin-top: 0;
    overflow-y: scroll;
    overflow-x: scroll;
    padding: 20px;
    border: 1px solid #ccc;
    font-family: Georgia, 'Times New Roman', Times, serif;
    z-index: 1;
  }

  .mobile-menu-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 200px;
    height: 100%;
    overflow: hidden;
    z-index: 3;
  }

  .mobile-menu-container.show {
    overflow: auto;
  }

  .show {
    display: block;
  }

  ul.dropdown-content {
    background-color: #353740;
    color: #eee;
    display: none;
    position: absolute;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    margin-left:30px;
    padding: 2px 20px 20px 20px;
    margin-top: -20px;
    z-index: 1;
    background-color: rgba(0, 0, 0, 0.7)
  }

  .icon-arrow {
    z-index: 2;
  }

  .hidden {
    display: none;
    z-index: 2;
  }
}

/* @media screen and (min-width: 600px) and (max-width: 1000px) {
  .toggleButton{
    border: none;
    background-color: rgba(245, 245, 245, 0.1);
    position: absolute;
    top:20px;
    left:10px;
    display: block;
  }

  .title-heading {
    font-size: xx-large;
    height: 50px;
    margin: 10px auto;
    background-color: #ffffff;
  }

  #country-input {
    position: absolute;
    top: 10px;
    right: 5px;
    background-position: 5px 12px; 
    background-size: 15px;
    width: 110px; 
    font-size: 12px; 
    padding: 12px 10px 6px 20px; 
    margin-bottom: 12px;
    margin: 2px, auto;
  }

  .countries-container {
    justify-content: center;
  }

  .alphabet-section {
    background-color: #ffffff;
    width: 60%;
  }

  ul.alphabet-list {
    display: flex;
    list-style: none;
    background-color: #ffffff;
    font-size: 16px;
    width: 50%;
    justify-content: space-evenly; 
    padding: 5px;
    z-index: 2;
  }

  .countries-main {
    margin-top: 0;
    background-color: #f6f6f6;
    justify-content: center;
  }

  .country-item-li {
    margin-left: 1px;
    padding-left: 1px;
  }

  .search-section {
    display: flex;
    position: absolute;
    border: none;
    width: 70%;
    height: 30px;
    opacity: 60%;
    display: block;
    align-items: center;
    z-index: 2;
  }

  h3 {
    font-family: stoke;
    font-size: 36px;
    margin-top: 10px;
    margin-bottom: 10px;
  }

  ul#common-countries {
    list-style: none;
    column-count: 1;
    padding: 0px 2px 2px 2px;
    margin: 0px 3px 30px 3px;
  }

  li.country-item-li {
    margin: 5px;
    display: block;
    background-color: #f6f6f6;
    padding: 12px; 
    text-decoration: none; 
    font-size: 16px; 
    color: black;
  }

  li a {
    margin-top: -1px; 
    padding: 12px;
    text-decoration: none; 
    font-size: 24px; 
    color: #000000;
  }

  li {
    margin-bottom: 10px;
    margin-top: 10px;
  }

  ul.dropdown-content {
    background-color: #353740;
    color: #eee;
    display: none;
    position: absolute;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    margin-left: 30px;
    padding: 2px 20px 20px 20px;
    margin-top: -20px;
    z-index: 1;
    background-color: rgba(0, 0, 0, 0.7)
  }

  .search-section {
    border: none;
    width: 70%;
    height: 30px;
    opacity: 60%;
    display: block;
    margin: 0 auto;
    z-index: 2;
  }

  .mobile-menu-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    z-index: 1;
  }

  .side-bar-aside {
    position: fixed;
    top: 0;
    left: -100%;
    width: 80%;
    height: 100%;
    background: #000;
    color: #fff;
    transition: left 0.3s ease-in-out;
    z-index: 9999;
    display: none;
  }

  .side-bar-aside.show {
    position: relative;
    left: 0;
    background-color: #353740;
    width: 200px;
    height: 560px;
    margin-top: 0;
    overflow-y: scroll;
    overflow-x: scroll;
    padding: 20px;
    border: 1px solid #ccc;
    font-family: Georgia, 'Times New Roman', Times, serif;
    z-index: 1;
  }

  .mobile-menu-container.show {
    overflow: auto;
  }

  .show {
    display: block;
  }

  .icon-arrow {
    z-index: 2;
  }

  .hidden {
    display: none;
    z-index: 2;
  }
  
  .row {
    display: flex;
    grid-template-columns: 4fr 0.5fr;
    margin: 10px 30px;
    gap: 75px;
    margin-bottom: 60px;
    align-items: self-start;
    justify-content: space-between;
  }

  .col1{
    padding-left: 5px;
  }

  .col2-content{
    font-size: 12px;
  }

  ul.common-countries{
    list-style: none;
    column-count: 1;
    padding: 0px 2px 2px 2px;
    margin: 0px 3px 30px 3px;
  }


  .table-tittle{
    font-size: 10px;
  }

  .sort-img{
    width: 20px;
  }

  .flag-country{
    width: 20px;
  }

  .table-row {
    padding: 0;
    display: grid;
    grid-template-columns: 2fr 1fr;
    column-gap: 20px;
    align-items: center;
    border-bottom: 1px solid #eee;
  }

  .table-row {
    padding: 5px;
    display: grid;
    grid-template-columns: 2fr 0.5fr;
    column-gap: 20px;
    align-items: center;
    border-bottom: 1px solid #eee;
  }
} */

@media screen and (min-width: 600px) and (max-width: 1000px) {
  .toggleButton{
    border: none;
    background-color: rgba(245, 245, 245, 0.1);
    position: absolute;
    top:20px;
    left:10px;
    display: block;
  }

  .title-heading {
    font-size: x-large;
    height: 50px;
    margin: 10px auto;
    background-color: #ffffff;
  }

  #country-input {
    top: 10px;
    right: 5px;
    background-position: 5px 12px; /*Position the search icon */
    background-size: 15px;
    width: 110px; /* Full-width */
    font-size: 12px; /* Increase font-size */
    padding: 12px 10px 6px 20px; /* Add some padding */
    margin-bottom: 12px; /* Add some space below the input */
    margin: 2px, auto;
  }

  .countries-container {
    justify-content: center;
  }

  ul#common-countries {
    list-style: none;
    column-count: 1;
    padding: 0px 2px 2px 2px;
    margin: 0px 3px 30px 3px;
  }

  h3 {
    margin: 0;
    padding-left: 10px;
    font-size: 24px;
  }

  li.country-item-li {
    margin: 5px;
    display: block;
    background-color: #f6f6f6;
    padding: 12px; /* Add some padding */
    text-decoration: none; /* Remove default text underline */
    font-size: 16px; /* Increase the font-size */
    color: black; /* Add a black text color */
  }

  .countries-main {
    margin-top: 0;
    background-color: #f6f6f6;
  }

  .search-section {
    border: none;
    width: 100px;
    height: 20px;
    position: absolute;
    top:10px;
    right: 5px;
  }

  ul.alphabet-list {
    display: flex;
    list-style: none;
    background-color: #ffffff;
    font-size: 12px;
    width: 50%;
    justify-content: space-evenly; /*reparte el espacio equitativamente */
    /* align-items: center; */
    padding: 5px;
  }

  .alphabet-section {
    background-color: #ffffff;
    width: 70%;
  }

  .letter {
    font-size: 16px;
  }


  /* .alphabet-item {
    z-index: 4;
  } */

  .row {
    display: flex;
    grid-template-columns: 4fr 0.5fr;
    margin: 10px 30px;
    gap: 75px;
    margin-bottom: 60px;
    align-items: self-start;
    justify-content: space-between;
  }

  .col1{
    padding-left: 5px;
  }

  .col2-content{
    font-size: 12px;
  }

  ul.common-countries{
    list-style: none;
    column-count: 1;
    padding: 0px 2px 2px 2px;
    margin: 0px 3px 30px 3px;
  }

  li a {
    margin-top: -1px; /* Prevent double borders */
    padding: 12px; /* Add some padding */
    text-decoration: none; /* Remove default text underline */
    font-size: 12px; /* Increase the font-size */
    color: #000000;
  }

  .table-tittle{
    font-size: 10px;
  }

  .sort-img{
    width: 20px;
  }

  .flag-country{
    width: 20px;
  }

  .table-row {
    padding: 0;
    display: grid;
    grid-template-columns: 2fr 1fr;
    column-gap: 20px;
    align-items: center;
    border-bottom: 1px solid #eee;
  }

  .table-row {
    padding: 5px;
    display: grid;
    grid-template-columns: 2fr 0.5fr;
    column-gap: 20px;
    align-items: center;
    border-bottom: 1px solid #eee;
  }

  .search-section {
    border: none;
    width: 70%;
    height: 30px;
    opacity: 60%;
    display: block;
    margin: 0 auto;
    z-index: 2;
  }

  .side-bar-aside {
    position: fixed;
    top: 0;
    left: -100%;
    width: 80%;
    height: 100%;
    background: #000;
    color: #fff;
    transition: left 0.3s ease-in-out;
    z-index: 9999;
    display: none;
  }

  .side-bar-aside.show {
    position: relative;
    left: 0;
    background-color: #353740;
    width: 200px;
    height: 560px;
    margin-top: 0;
    overflow-y: scroll;
    overflow-x: scroll;
    padding: 20px;
    border: 1px solid #ccc;
    font-family: Georgia, 'Times New Roman', Times, serif;
    z-index: 1;
  }

  .mobile-menu-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 200px;
    height: 100%;
    overflow: hidden;
    z-index: 3;
  }

  .mobile-menu-container.show {
    overflow: auto;
  }

  .show {
    display: block;
  }

  ul.dropdown-content {
    background-color: #353740;
    color: #eee;
    display: none;
    position: absolute;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    margin-left:30px;
    padding: 2px 20px 20px 20px;
    margin-top: -20px;
    z-index: 1;
    background-color: rgba(0, 0, 0, 0.7)
  }

  .icon-arrow {
    z-index: 2;
  }

  .hidden {
    display: none;
    z-index: 2;
  }
}

nav.alphabet-navigation {
  display: flex;
  justify-content: center;
  margin-top: 30px;
}

ul.alphabet-list li.active {
  color: #22a6f5;
  text-decoration: underline;
}

.alphabet-item:hover {
  text-decoration: underline;
  font-size: 40px;
}

article.countries-container {
  width: 100%;
  margin-bottom: 0;
}

aside.side-bar-aside {
  flex: 0 0 auto;
  background-color: rgba(245, 245, 245, 0.8);
  padding: 0 40px;
  margin-top: 40px;
  border-radius: 10px;
  padding: 2px 20px 20px 20px;
}

ul.container-side-bar-ul {
  column-count: 1;
  list-style: none;
}

ol.container-continent-ol {
  list-style: none;
}

ol.container-languages-ol {
  list-style: none;
}

.container-list-aside {
  list-style: none;
}
.subregion-li{
  list-style: none;
}

.icon-arrow:hover {
  cursor: pointer;
}

.hidden {
  display: none;
}
